## horizon 10.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr>=1.6 # Apache-2.0
# Horizon Core Requirements
Babel>=2.3.4 # BSD
Django<1.9,>=1.8 # BSD
Pint>=0.5 # BSD
django-babel>=0.5.1 # BSD
django-compressor>=2.0 # MIT
django-openstack-auth>=2.4.0 # Apache-2.0
django-pyscss>=2.0.2 # BSD License (2 clause)
iso8601>=0.1.11 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
pyScss!=1.3.5,>=1.3.4 # MIT License
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
python-heatclient>=1.4.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.1.0 # MIT
six>=1.9.0 # MIT
XStatic>=1.0.0 # MIT License
XStatic-Angular>=1.3.7 # MIT License
XStatic-Angular-Bootstrap>=0.11.0.2 # MIT License
XStatic-Angular-FileUpload>=12.0.4.0 # MIT License
XStatic-Angular-Gettext>=2.1.0.2 # MIT License
XStatic-Angular-lrdragndrop>=1.0.2.2 # MIT License
XStatic-Angular-Schema-Form>=0.8.13.0 # MIT
XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
XStatic-Bootstrap-SCSS>=3 # Apache 2.0 License
XStatic-bootswatch>=3.3.5.3 # MIT License
XStatic-D3>=3.1.6.2 # BSD License (3 clause)
XStatic-Hogan>=2.0.0.2 # Apache 2.0 License
XStatic-Font-Awesome>=4.3.0 # SIL OFL 1.1 License, MIT License
XStatic-Jasmine>=2.1.2.0 # MIT License
XStatic-jQuery>=1.7.2 # MIT License
XStatic-JQuery-Migrate>=1.2.1.1 # MIT License
XStatic-JQuery.quicksearch>=2.0.3.1 # MIT License
XStatic-JQuery.TableSorter>=2.14.5.1 # MIT License
XStatic-jquery-ui>=1.10.1 # MIT License
XStatic-JSEncrypt>=2.0.0.2 # MIT License
XStatic-mdi>=1.4.57.0 # SIL OPEN FONT LICENSE Version 1.1
XStatic-objectpath>=1.2.1.0 # MIT
XStatic-Rickshaw>=1.5.0 # BSD License (prior)
XStatic-roboto-fontface>=0.4.3.2 # Apache 2.0 License
XStatic-smart-table!=1.4.13.0,>=1.4.5.3 # MIT License
XStatic-Spin>=1.2.5.2 # MIT License
XStatic-term.js>=0.0.4 # MIT License
XStatic-tv4>=1.2.7.0 # MIT

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Horizon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Horizon.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Horizon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Horizon"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
horizon (3:10.0.1-1) unstable; urgency=high

  [ Ivan Udovichenko ]
  * Sync to the latest version from stable/newton.

  [ Thomas Goirand ]
  * CVE-2017-7400: XSS in federation mappings UI. Applied upstream patch:
    Remove dangerous safestring declaration (Closes: #859559).
  * Updated Italian translation of debconf messages (Closes: #846931).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Apr 2017 23:47:20 +0200

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: gettext,
                     git,
                     python-babel (>= 2.3.4),
                     python-ceilometerclient (>= 2.2.1),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-django (>= 1.8),
                     python-django-babel (>= 0.5.1),
                     python-django-compressor (>= 2.0),
                     python-django-nose (>= 1.4.3),
                     python-django-openstack-auth (>= 2.4.0),
                     python-django-pyscss (>= 2.0.2),
                     python-glanceclient (>= 1:2.3.0),
                     python-hacking,
                     python-heatclient (>= 1.4.0),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneclient (>= 1:2.0.0),
                     python-mock (>= 1.3),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-novaclient (>= 2:2.29.0),
                     python-openstack.nose-plugin,
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.15.0),
                     python-oslosphinx (>= 2.5.0),
                     python-pep8,
                     python-pint,
                     python-pyscss (>= 1.3.4),
                     python-selenium,
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python-xstatic,
                     python-xstatic-angular (>= 1.3.7),
                     python-xstatic-angular-bootstrap,
                     python-xstatic-angular-fileupload (>= 12.0.4.0),
                     python-xstatic-angular-gettext,
                     python-xstatic-angular-lrdragndrop,
                     python-xstatic-angular-schema-form (>= 0.8.13.0),
                     python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
                     python-xstatic-bootstrap-scss (>= 3),
                     python-xstatic-bootswatch,
                     python-xstatic-d3,
                     python-xstatic-font-awesome,
                     python-xstatic-hogan,
                     python-xstatic-jasmine (>= 2.1.2.0),
                     python-xstatic-jquery,
                     python-xstatic-jquery-migrate,
                     python-xstatic-jquery-ui (>= 1.10.1),
                     python-xstatic-jquery.quicksearch,
                     python-xstatic-jquery.tablesorter (>= 2.14.5.1),
                     python-xstatic-jsencrypt,
                     python-xstatic-magic-search (>= 0.2.5.1),
                     python-xstatic-mdi (>= 1.4.57.0),
                     python-xstatic-objectpath (>= 1.2.1.0),
                     python-xstatic-rickshaw,
                     python-xstatic-roboto-fontface (>= 0.4.3.2),
                     python-xstatic-smart-table (>= 1.4.5.3),
                     python-xstatic-spin,
                     python-xstatic-term.js,
                     python-xstatic-tv4 (>= 1.2.7.0),
                     python-xvfbwrapper,
                     python-yaml,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-horizon?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-horizon -b debian/newton
Homepage: https://horizon.openstack.org

Package: python-django-horizon
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-ceilometerclient (>= 2.2.1),
         python-cinderclient (>= 1:1.6.0),
         python-django (>= 1.8),
         python-django-babel (>= 0.5.1),
         python-django-compressor (>= 2.0),
         python-django-openstack-auth (>= 2.4.0),
         python-django-pyscss (>= 2.0.2),
         python-glanceclient (>= 1:2.3.0),
         python-heatclient (>= 1.4.0),
         python-iso8601 (>= 0.1.11),
         python-keystoneclient (>= 1:2.0.0),
         python-memcache,
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.15.0),
         python-pbr (>= 1.8),
         python-pint,
         python-pyscss (>= 1.3.4),
         python-six (>= 1.9.0),
         python-swiftclient,
         python-tz,
         python-xstatic,
         python-xstatic-angular (>= 1.3.7),
         python-xstatic-angular-bootstrap,
         python-xstatic-angular-fileupload (>= 12.0.4.0),
         python-xstatic-angular-gettext,
         python-xstatic-angular-lrdragndrop,
         python-xstatic-angular-schema-form (>= 0.8.13.0),
         python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
         python-xstatic-bootstrap-scss (>= 3),
         python-xstatic-bootswatch,
         python-xstatic-d3,
         python-xstatic-font-awesome,
         python-xstatic-hogan,
         python-xstatic-jasmine (>= 2.1.2.0),
         python-xstatic-jquery,
         python-xstatic-jquery-migrate,
         python-xstatic-jquery-ui (>= 1.10.1),
         python-xstatic-jquery.quicksearch,
         python-xstatic-jquery.tablesorter (>= 2.14.5.1),
         python-xstatic-jsencrypt,
         python-xstatic-magic-search (>= 0.2.5.1),
         python-xstatic-mdi (>= 1.4.57.0),
         python-xstatic-objectpath (>= 1.2.1.0),
         python-xstatic-rickshaw,
         python-xstatic-roboto-fontface (>= 0.4.3.2),
         python-xstatic-smart-table (>= 1.4.5.3),
         python-xstatic-spin,
         python-xstatic-term.js,
         python-xstatic-tv4 (>= 1.2.7.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Depends: adduser,
         libjs-jquery,
         libjs-jquery-cookie,
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Suggests: memcached,
          openstack-dashboard-apache,
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Depends: apache2 (>= 2.4),
         debconf,
         libapache2-mod-wsgi (>= 2.3),
         openstack-dashboard,
         ${misc:Depends},
Description: web application to control an OpenStack cloud - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

Package: horizon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: web application to control an OpenStack cloud - doc
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package contains the documentation.

## horizon 10.0.4

=== debian/changelog ===
horizon (3:10.0.4-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton (LP: #1696133).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 13:07:12 +0100

horizon (3:10.0.3-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557)

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:21:32 -0400

horizon (3:10.0.2-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton. (LP: #1664306)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Mar 2017 14:23:02 -0500

horizon (3:10.0.1-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton (LP: #1645772).
  * d/p/*: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 30 Nov 2016 10:14:15 -0500

horizon (3:10.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 10:47:05 -0400

horizon (3:10.0.0~rc3-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 10:59:13 -0400

horizon (3:10.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:18:19 -0400

horizon (3:10.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Sep 2016 09:04:54 -0400

horizon (3:10.0.0~b3-0ubuntu2) yakkety; urgency=medium

  * d/theme/ubuntu/_variables.scss: Fixup path to font_awesome resources.
  * d/control: Add python-memcache to runtime Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Sep 2016 16:54:07 +0100

horizon (3:10.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * Update epoch to align with Debian.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/fix-horizon-test-settings.patch: Rebased.
  * d/p/add-juju-environment-download.patch: Rebased.
  * d/p/embedded-xstatic.patch: Refactored due to upstream re-work.
  * d/pydist-overrides: Add new xstatic packages.
  * d/theme/ubuntu/horizon/_styles.scss: Update path to vendor-prefixes.scss.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 14:17:24 -0400

horizon (2:10.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/theme/ubuntu/horizon/components/_context_selection.scss: Rename
    dropdown-item-padding-vertical and dropdown-item-padding-horizontal
    to align with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jul 2016 09:04:26 -0400

horizon (2:10.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 15:04:52 -0400

horizon (2:10.0.0~b1-0ubuntu2) yakkety; urgency=medium

  * Fold Ubuntu theme into themes installed as part of the core
    openstack-dashboard package:
    - d/openstack-dashboard-ubuntu-theme.*,control:
      Make openstack-dashboard-ubuntu-theme transitional.
    - d/openstack-dashboard.install: Install Ubuntu theme.
    - d/theme/ubuntu_theme.py: Drop, no longer needed.
    - d/p/ubuntu_settings.patch: Add Ubuntu theme to list of available
      themes for users.
  * d/p/*: Refresh.
  * d/openstack-dashboard.conf: Ensure wsgi process-group is set for
    horizon application (LP: #1584040), set process display-name to
    wsgi application group for ease of debugging.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jun 2016 11:00:15 +0100

horizon (2:10.0.0~b1-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/embedded-xstatic.patch: Rebased.
  * d/p/add-juju-environment-download.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2016 11:06:57 -0400

horizon (2:9.0.0-0ubuntu3) yakkety; urgency=medium

  * d/theme/ubuntu/*: Refresh with misc fixes from the Canonical design
    team (LP: #1585948).

 -- James Page <james.page@ubuntu.com>  Thu, 26 May 2016 10:05:30 +0100

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-compressor (>= 2.0),
                     python-django (>= 1.8),
                     python-django-pyscss (>= 2.0.2),
                     python-glanceclient (>= 1:2.3.0),
                     python-heatclient (>= 1.4.0),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneclient (>= 1:2.0.0),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstack-auth (>= 2.4.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-pint (>= 0.5),
                     python-pyscss (>= 1.3.4),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tz (>= 2013.6),
                     python-yaml (>= 3.1.0),
Standards-Version: 3.9.6
Homepage: http://launchpad.net/horizon
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
XS-Testsuite: autopkgtest

Package: python-django-horizon
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:1.6.0),
         python-compressor (>= 2.0),
         python-django (>= 1.8),
         python-django-pyscss (>= 2.0.2),
         python-glanceclient (>= 1:2.3.0),
         python-heatclient (>= 1.4.0),
         python-iso8601 (>= 0.1.11),
         python-keystoneclient (>= 1:2.0.0),
         python-memcache,
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-openstack-auth (>= 2.4.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-pint (>= 0.5),
         python-pyscss (>= 1.3.4),
         python-six (>= 1.9.0),
         python-swiftclient (>= 1:2.2.0),
         python-tz (>= 2013.6),
         python-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: memcached,
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: openstack-dashboard
Architecture: all
Depends: adduser,
         apache2 | httpd,
         libapache2-mod-wsgi (>= 2.3),
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Breaks: openstack-dashboard-ubuntu-theme (<< 2:10.0.0~b1-0ubuntu2~),
Replaces: openstack-dashboard-ubuntu-theme (<< 2:10.0.0~b1-0ubuntu2~),
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends: openstack-dashboard (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Transitional dummy package for Ubuntu theme for Horizon
 This transitional package is safe to remove and use openstack-dashboard
 instead, which now contains the Ubuntu theme.

## horizon 10.0.5

=== debian/changelog ===
horizon (3:10.0.5-0ubuntu1~cloud3.1) xenial-newton; urgency=medium

  * d/openstack-dashboard.postinst: Ensure permissions are not
    world-readable for /etc/openstack-dashboard/local_settings.py
    (LP: #1755027).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Mar 2018 11:39:44 -0400

horizon (3:10.0.5-0ubuntu1~cloud2) xenial-newton; urgency=medium

  * Fix create consistency group form exception (LP: #1681073)
    - d/p/fix_create_consistency_group_form_exception.patch

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Dec 2017 09:55:29 -0500

horizon (3:10.0.5-0ubuntu1~cloud1) xenial-newton; urgency=medium

  * debian/theme/ubuntu/_styles.scss: Ensure btn-primary text color takes
    precedence (LP: #1481216).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Sep 2017 15:06:12 -0400

horizon (3:10.0.5-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1705176).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 12:16:59 +0100

## horizon 11.0.1

=== debian/changelog ===
horizon (3:11.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream stable release for OpenStack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Mar 2017 10:45:59 -0400

horizon (3:11.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:42:25 -0500

horizon (3:11.0.0~rc2-0ubuntu2) zesty; urgency=medium

  * d/theme/*: Refresh theme for final Ocata release. Thanks to
    karl.williams@canonical.com for contributing these updates.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Feb 2017 14:27:37 -0500

horizon (3:11.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream release candidate for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Feb 2017 08:37:55 -0500

horizon (3:11.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata.
  * d/patches/add-juju-environment-download.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:48:51 -0500

horizon (3:11.0.0~b3-0ubuntu2) zesty; urgency=medium

  * d/openstack-dashboard.*, d/p/ubuntu_settings.patch: Collect static files
    into /var/lib/ instead of /usr/share/. This aligns with the FHS
    (/usr/share files is for static and /var/lib is for dynamic files).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jan 2017 15:45:20 -0500

horizon (3:11.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 07:41:08 -0500

horizon (3:11.0.0~b3~20170113.158a4c1a-0ubuntu1) zesty; urgency=medium

  * New upstream release snapshot for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Jan 2017 11:46:53 -0500

horizon (3:11.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:27:31 -0500

horizon (3:11.0.0~b1-0ubuntu3) zesty; urgency=medium

  * d/openstack-dashboard.preinst, d/openstack-dashboard.postrm: Remove
    /usr/share/openstack-dashboard/static/ directory where we used to remove
    its contents. In Newton this directory was a symlink but not in Ocata.
    Also remove /usr/share/openstack-dashboard/openstack_dashboard/ in preinst
    to enable upgrades.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Nov 2016 12:02:29 -0500

horizon (3:11.0.0~b1-0ubuntu2) zesty; urgency=medium

  * d/p/*: Rebased.
  * d/rules, d/openstack-dashboard.links: Drop unnecessary install steps
    (LP: #1643964).
  * d/openstack-dashboard.postinst, d/openstack-dashboard.dirs: Update static
    file paths to use /usr/share/openstack-dashboard/static/.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 22 Nov 2016 14:28:39 -0500

horizon (3:11.0.0~b1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Nov 2016 13:10:06 -0500

## horizon 11.0.4

=== debian/changelog ===
horizon (3:11.0.4-3) unstable; urgency=high

  * Raise python-django-openstack-auth dependency

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 05 Dec 2017 17:02:56 +0100

horizon (3:11.0.4-2) unstable; urgency=high

  * Add fix-required-icm_type.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 01 Dec 2017 11:53:05 +0100

horizon (3:11.0.4-1) unstable; urgency=high

  * New upstream version.
  * Raise denhelper version to 10.
  * Edit debian/control to match criteria
  * Remove CVE-2017-7400_Remove_dangerous_safestring_declaration.patch 
  * Remove stores-SECRET_KEY-in-tmp-folder-for-tests.patch
  * Add sort-choices-in-default-project-field.patch
  * Add enhance-network-topology.patch
  * Add support-django-1.10.patch
  * Add fix-network-topology-buttons.patch
  * Add fix-ha-interface-deletion.patch
  * Add fix-create-subnet.patch
  * Add fix-subnet-deletion.patch
  * Add feat-delete-confirmation.patch
  * Add fix-manifest.patch
  * Add deletion of releasenotes/build to dh_clean
  * Add deletion of node_modules to dh_clean
  * Edit dh_auto_test as run_tests.sh is deprecated 
  * Add deletion of AUTHORS,ChangeLog in dh_clean as it is dynamically
    generated

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 30 Nov 2017 10:53:22 +0100

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: gettext,
                     git,
                     python-babel (>= 2.3.4),
                     python-ceilometerclient (>= 2.2.1),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-django (>= 1.8),
                     python-django-babel (>= 0.5.1),
                     python-django-compressor (>= 2.0),
                     python-django-nose (>= 1.4.4),
                     python-django-openstack-auth (>= 3.1.0),
                     python-django-pyscss (>= 2.0.2),
                     python-glanceclient (>= 1:2.5.0),
                     python-hacking,
                     python-heatclient (>= 1.6.1),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mock (>= 2.0),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-novaclient (>= 2:6.0.0),
                     python-openstack.nose-plugin,
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.18.0),
                     python-osprofiler (>= 1.4.0),
                     python-pymongo (>= 3.0.2),
                     python-oslosphinx (>= 4.7.0),
                     python-pep8,
                     python-pint,
                     python-pyscss (>= 1.3.4),
                     python-selenium,
                     python-six (>= 1.9.0),
                     python-swiftclient (>= 3.2.0),
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python-xstatic,
                     python-xstatic-angular (>= 1.3.7),
                     python-xstatic-angular-bootstrap (>= 2.2.0.0),
                     python-xstatic-angular-fileupload (>= 12.0.4.0),
                     python-xstatic-angular-gettext,
                     python-xstatic-angular-lrdragndrop,
                     python-xstatic-angular-schema-form (>= 0.8.13.0),
                     python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
                     python-xstatic-bootstrap-scss (>= 3),
                     python-xstatic-bootswatch (>= 3.3.7.0),
                     python-xstatic-d3,
                     python-xstatic-font-awesome,
                     python-xstatic-hogan,
                     python-xstatic-jasmine (>= 2.1.2.0),
                     python-xstatic-jquery,
                     python-xstatic-jquery-migrate,
                     python-xstatic-jquery-ui (>= 1.10.1),
                     python-xstatic-jquery.quicksearch,
                     python-xstatic-jquery.tablesorter (>= 2.14.5.1),
                     python-xstatic-jsencrypt,
                     python-xstatic-magic-search (>= 0.2.5.1),
                     python-xstatic-mdi (>= 1.4.57.0),
                     python-xstatic-objectpath (>= 1.2.1.0),
                     python-xstatic-rickshaw,
                     python-xstatic-roboto-fontface (>= 0.5.0.0),
                     python-xstatic-smart-table (>= 1.4.5.3),
                     python-xstatic-spin,
                     python-xstatic-term.js,
                     python-xstatic-tv4 (>= 1.2.7.0),
                     python-xvfbwrapper,
                     python-yaml,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-horizon?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-horizon -b debian/newton
Homepage: https://horizon.openstack.org

Package: python-django-horizon
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-ceilometerclient (>= 2.2.1),
         python-cinderclient (>= 1:1.6.0),
         python-django (>= 1.8),
         python-django-babel (>= 0.5.1),
         python-django-compressor (>= 2.0),
         python-django-openstack-auth (>= 3.1.0),
         python-django-pyscss (>= 2.0.2),
         python-glanceclient (>= 1:2.5.0),
         python-heatclient (>= 1.6.1),
         python-iso8601 (>= 0.1.11),
         python-keystoneclient (>= 1:3.8.0),
         python-memcache,
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:6.0.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.18.0),
         python-osprofiler (>= 1.4.0),
         python-pymongo (>= 3.0.2),
         python-pbr (>= 1.8),
         python-pint,
         python-pyscss (>= 1.3.4),
         python-six (>= 1.9.0),
         python-swiftclient (>= 3.2.0),
         python-tz,
         python-xstatic,
         python-xstatic-angular (>= 1.3.7),
         python-xstatic-angular-bootstrap (>= 2.2.0.0),
         python-xstatic-angular-fileupload (>= 12.0.4.0),
         python-xstatic-angular-gettext,
         python-xstatic-angular-lrdragndrop,
         python-xstatic-angular-schema-form (>= 0.8.13.0),
         python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
         python-xstatic-bootstrap-scss (>= 3),
         python-xstatic-bootswatch (>= 3.3.7.0),
         python-xstatic-d3,
         python-xstatic-font-awesome,
         python-xstatic-hogan,
         python-xstatic-jasmine (>= 2.1.2.0),
         python-xstatic-jquery,
         python-xstatic-jquery-migrate,
         python-xstatic-jquery-ui (>= 1.10.1),
         python-xstatic-jquery.quicksearch,
         python-xstatic-jquery.tablesorter (>= 2.14.5.1),
         python-xstatic-jsencrypt,
         python-xstatic-magic-search (>= 0.2.5.1),
         python-xstatic-mdi (>= 1.4.57.0),
         python-xstatic-objectpath (>= 1.2.1.0),
         python-xstatic-rickshaw,
         python-xstatic-roboto-fontface (>= 0.5.0.0),
         python-xstatic-smart-table (>= 1.4.5.3),
         python-xstatic-spin,
         python-xstatic-term.js,
         python-xstatic-tv4 (>= 1.2.7.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Depends: adduser,
         libjs-jquery,
         libjs-jquery-cookie,
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Suggests: memcached,
          openstack-dashboard-apache,
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Depends: apache2 (>= 2.4),
         debconf,
         libapache2-mod-wsgi (>= 2.3),
         openstack-dashboard,
         ${misc:Depends},
Description: web application to control an OpenStack cloud - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

Package: horizon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: web application to control an OpenStack cloud - doc
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_install:
	# Note: upstream advises to use "python setup.py compile_catalog"
	# maybe we should do that next time.
	chmod +x debian/compile-messages
	$(CURDIR)/debian/compile-messages

	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install \
			--install-layout=deb \
			--root $(CURDIR)/debian/python-django-horizon \
			--no-compile -O0; \
	done

	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard

	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Sets memcached by default in local_settings.py
	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	echo "COMPRESS_OFFLINE=True" >> $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	install -d -m 755 $(CURDIR)/debian/openstack-dashboard/var/lib/openstack-dashboard/static


	cp $(CURDIR)/manage.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py

override_dh_auto_clean:
	dh_auto_clean
	python setup.py clean
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete
	rm -rf $(CURDIR)/releasenotes/build
	rm -rf $(CURDIR)/node_modules
	rm -f AUTHORS
	rm -f ChangeLog

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/horizon-doc/usr/share/doc/horizon-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# We should add --compilemessages when the .mo are removed.
	# Run tests via ./run_tests.sh is deprecated
	#./run_tests.sh --no-virtual-env --no-pep8 --verbosity=2
	for i in ${PYTHONS}; do \
		echo "===> Testing Horizon with python$$i"; \
		python$$i $(CURDIR)/manage.py test horizon --settings=horizon.test.settings --verbosity=2 --exclude-dir=openstack_dashboard/test/integration_tests; \
		echo "===> Testing Openstack Dashboard  with python$$i"; \
		python$$i $(CURDIR)/manage.py test openstack_dashboard --settings=openstack_dashboard.test.settings --verbosity=2 --exclude-dir=openstack_dashboard/test/integration_tests; \
	done
endif
